Package org.jbpm.ruleflow.core.factory

## Class WorkItemNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.WorkItemNodeBuilder<T>,​T>
  - - org.jbpm.ruleflow.core.factory.WorkItemNodeFactory<T>

- All Implemented Interfaces:
    `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.WorkItemNodeBuilder<T>,​T>`, `org.kie.api.fluent.WorkItemNodeBuilder<T>`

      public class WorkItemNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>
      extends NodeFactory<org.kie.api.fluent.WorkItemNodeBuilder<T>,​T>
      implements org.kie.api.fluent.WorkItemNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkItemNodeFactory​(T nodeContainerFactory, NodeContainer nodeContainer, long id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected WorkItemNode` | `getWorkItemNode()` |
    `WorkItemNodeFactory<T>` | `inMapping​(String parameterName, String variableName)` |
    `WorkItemNodeFactory<T>` | `onEntryAction​(String dialect, String action)` |
    `WorkItemNodeFactory<T>` | `onEntryAction​(org.kie.api.fluent.Dialect dialect, String action)` |
    `WorkItemNodeFactory<T>` | `onExitAction​(String dialect, String action)` |
    `WorkItemNodeFactory<T>` | `onExitAction​(org.kie.api.fluent.Dialect dialect, String action)` |
    `WorkItemNodeFactory<T>` | `outMapping​(String parameterName, String variableName)` |
    `WorkItemNodeFactory<T>` | `timer​(String delay, String period, String dialect, String action)` |
    `WorkItemNodeFactory<T>` | `timer​(String delay, String period, org.kie.api.fluent.Dialect dialect, String action)` |
    `WorkItemNodeFactory<T>` | `waitForCompletion​(boolean waitForCompletion)` |
    `WorkItemNodeFactory<T>` | `workName​(String name)` |
    `WorkItemNodeFactory<T>` | `workParameter​(String name, Object value)` |
    `org.kie.api.fluent.WorkItemNodeBuilder<T>` | `workParameterDefinition​(String name, Class<?> type)` |
    `WorkItemNodeFactory<T>` | `workParameterDefinition​(String name, DataType dataType)` |

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, name, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Constructor Detail

    - #### WorkItemNodeFactory

          public WorkItemNodeFactory​(T nodeContainerFactory,
                                     NodeContainer nodeContainer,
                                     long id)

  - ### Method Detail

    - #### getWorkItemNode

          protected WorkItemNode getWorkItemNode()

    - #### waitForCompletion

          public WorkItemNodeFactory<T> waitForCompletion​(boolean waitForCompletion)

      Specified by:
        `waitForCompletion` in interface `org.kie.api.fluent.WorkItemNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`

    - #### inMapping

          public WorkItemNodeFactory<T> inMapping​(String parameterName,
                                                  String variableName)

      Specified by:
        `inMapping` in interface `org.kie.api.fluent.WorkItemNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`

    - #### outMapping

          public WorkItemNodeFactory<T> outMapping​(String parameterName,
                                                   String variableName)

      Specified by:
        `outMapping` in interface `org.kie.api.fluent.WorkItemNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`

    - #### workName

          public WorkItemNodeFactory<T> workName​(String name)

      Specified by:
        `workName` in interface `org.kie.api.fluent.WorkItemNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`

    - #### workParameter

          public WorkItemNodeFactory<T> workParameter​(String name,
                                                      Object value)

      Specified by:
        `workParameter` in interface `org.kie.api.fluent.WorkItemNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`

    - #### workParameterDefinition

          public WorkItemNodeFactory<T> workParameterDefinition​(String name,
                                                                DataType dataType)

    - #### onEntryAction

          public WorkItemNodeFactory<T> onEntryAction​(String dialect,
                                                      String action)

    - #### onExitAction

          public WorkItemNodeFactory<T> onExitAction​(String dialect,
                                                     String action)

    - #### timer

          public WorkItemNodeFactory<T> timer​(String delay,
                                              String period,
                                              String dialect,
                                              String action)

    - #### onEntryAction

          public WorkItemNodeFactory<T> onEntryAction​(org.kie.api.fluent.Dialect dialect,
                                                      String action)

    - #### onExitAction

          public WorkItemNodeFactory<T> onExitAction​(org.kie.api.fluent.Dialect dialect,
                                                     String action)

    - #### timer

          public WorkItemNodeFactory<T> timer​(String delay,
                                              String period,
                                              org.kie.api.fluent.Dialect dialect,
                                              String action)

    - #### workParameterDefinition

          public org.kie.api.fluent.WorkItemNodeBuilder<T> workParameterDefinition​(String name,
                                                                                   Class<?> type)

      Specified by:
        `workParameterDefinition` in interface `org.kie.api.fluent.WorkItemNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`